import { MigrationInterface, QueryRunner } from 'typeorm';

export class AddNotificationConfigToItemQueue1734717058658
  implements MigrationInterface
{
  name = 'AddNotificationConfigToItemQueue1734717058658';

  public async up(queryRunner: QueryRunner): Promise<void> {
    await queryRunner.query(
      `ALTER TABLE "item_queues" ADD "use_notification" boolean NOT NULL DEFAULT true`,
    );
    await queryRunner.query(
      `ALTER TABLE "item_queues" ADD "requiring_notification" boolean NOT NULL DEFAULT false`,
    );
  }

  public async down(queryRunner: QueryRunner): Promise<void> {
    await queryRunner.query(
      `ALTER TABLE "item_queues" DROP COLUMN "requiring_notification"`,
    );
    await queryRunner.query(
      `ALTER TABLE "item_queues" DROP COLUMN "use_notification"`,
    );
  }
}
